LINUX Cuda (Optix) Error with BlendLuxCore 2.5beta

Use this forum for general user support and related questions.
Forum rules
Please upload a testscene that allows developers to reproduce the problem, and attach some images.
johannes.wilde
Posts: 48
Joined: Fri Sep 21, 2018 7:57 am

Re: LINUX Cuda (Optix) Error with BlendLuxCore 2.5beta

Post by johannes.wilde » Sat Jan 16, 2021 8:15 am

Update:

At least BlendLuxCore 2.4 works fine. OpenCl of course.

If i choose OpenCl in BlendLuxCore 2.5 however, it shows me the same error message as posted before using Cuda and Optix

User avatar
Dade
Developer
Posts: 4986
Joined: Mon Dec 04, 2017 8:36 pm
Location: Italy

Re: LINUX Cuda (Optix) Error with BlendLuxCore 2.5beta

Post by Dade » Sat Jan 16, 2021 11:00 am

johannes.wilde wrote:
Sat Jan 16, 2021 8:15 am
Update:

At least BlendLuxCore 2.4 works fine. OpenCl of course.

If i choose OpenCl in BlendLuxCore 2.5 however, it shows me the same error message as posted before using Cuda and Optix
Try to disable GPU usage for film image pipeline (i.e. use only the CPU), your error is triggered there and BlendLuxCore my force the use OpenCL for the rendering but not for the image pipeline (where it may still use CUDA).
So OpenCL should work with 2.5 too.
Support LuxCoreRender project with salts and bounties

johannes.wilde
Posts: 48
Joined: Fri Sep 21, 2018 7:57 am

Re: LINUX Cuda (Optix) Error with BlendLuxCore 2.5beta

Post by johannes.wilde » Sat Jan 16, 2021 12:20 pm

That works for now with OpenCl. Thanks a lot!
There seems to be someone using Manjaro with the same GPU having the same problems:

https://www.bountysource.com/issues/922 ... uiltins-so

User avatar
Dade
Developer
Posts: 4986
Joined: Mon Dec 04, 2017 8:36 pm
Location: Italy

Re: LINUX Cuda (Optix) Error with BlendLuxCore 2.5beta

Post by Dade » Sat Jan 16, 2021 10:16 pm

johannes.wilde wrote:
Sat Jan 16, 2021 12:20 pm
There seems to be someone using Manjaro with the same GPU having the same problems:

https://www.bountysource.com/issues/922 ... uiltins-so
v440 drivers are very old, his problem may be there.
Support LuxCoreRender project with salts and bounties

johannes.wilde
Posts: 48
Joined: Fri Sep 21, 2018 7:57 am

Re: LINUX Cuda (Optix) Error with BlendLuxCore 2.5beta

Post by johannes.wilde » Tue Feb 09, 2021 10:05 am

ChandraVFX postet the solution on GitHub:
Copy from Home ./config/blender/2.90/scripts/addons/BlendLuxCore/bin (place where BlenderLuxCore addon installed) all libnvrtc to /usr/lib.
example:
sudo cp libnvrtc*.* /usr/lib

Now it works!

Post Reply